summaryrefslogtreecommitdiff
path: root/script/update
diff options
context:
space:
mode:
authorLeah Rowe <leah@libreboot.org>2023-09-05 01:49:35 +0100
committerLeah Rowe <leah@libreboot.org>2023-09-05 01:49:35 +0100
commit8fc5f6ed53a9ad6b2270cf85a305300cedf1b7f2 (patch)
treec7d566be9d69ae0637713abd56bcbe4e295d4f8a /script/update
parentda991262a33a5d6e8b55b1c9e5c18d09df65cce5 (diff)
update/blobs/inject: use tmp/romdir, not TMPDIR
we are copying large numbers of ROM images, and the host system may have /tmp under a tmpfs; that same host system may or may not have a lot of memory. respect the user's machine. Signed-off-by: Leah Rowe <leah@libreboot.org>
Diffstat (limited to 'script/update')
-rwxr-xr-xscript/update/blobs/inject4
1 files changed, 3 insertions, 1 deletions
diff --git a/script/update/blobs/inject b/script/update/blobs/inject
index b68e6f11..ab943a3c 100755
--- a/script/update/blobs/inject
+++ b/script/update/blobs/inject
@@ -114,7 +114,9 @@ inject_blobs()
patch_release_roms()
{
- _tmpdir=$(mktemp -d "/tmp/${board}_tmpXXXX")
+ _tmpdir="tmp/romdir"
+ rm -Rf "${_tmpdir}" || err "patch_release_roms 1: can't prepare tmpdir"
+ mkdir -p "${_tmpdir}" || err "patch_release_roms: can't make tmpdir"
tar -xf "${releasearchive}" -C "${_tmpdir}" || \
err "patch_release_roms: could not extract release archive"